import * as tslib_1 from "tslib";
import { Directive, ElementRef, EventEmitter, HostListener, Input, Output } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { ColorPickerModalPage } from '../../pages/color-picker/color-picker-modal.page';
let ColorPickerDirective = class ColorPickerDirective {
    constructor(elementRef, modalController) {
        this.elementRef = elementRef;
        this.modalController = modalController;
        this.colorPickerOpen = new EventEmitter();
        this.colorPickerClose = new EventEmitter();
        this.colorChange = new EventEmitter();
        this.colors = [
            '#C0392B', '#E74C3C', '#9B59B6', '#8E44AD', '#2980B9', '#3498DB', '#1ABC9C', '#16A085', '#27AE60', '#2ECC71',
            '#F1C40F', '#F39C12', '#E67E22', '#D35400', '#ECF0F1', '#BDC3C7', '#95A5A6', '#7F8C8D', '#34495E', '#2C3E50'
        ];
        this.position = 'bottom';
    }
    openColorPicker(event) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const modal = yield this.modalController.create({
                component: ColorPickerModalPage,
                backdropDismiss: false,
                showBackdrop: true,
                componentProps: {
                    colorPickerOpen: this.colorPickerOpen,
                    colorPickerClose: this.colorPickerClose,
                    colorChange: this.colorChange,
                    colors: this.colors
                },
                cssClass: ['color-picker-modal', 'color-picker-modal-' + this.position.trim()]
            });
            yield modal.present();
        });
    }
};
tslib_1.__decorate([
    Output(),
    tslib_1.__metadata("design:type", EventEmitter)
], ColorPickerDirective.prototype, "colorPickerOpen", void 0);
tslib_1.__decorate([
    Output(),
    tslib_1.__metadata("design:type", EventEmitter)
], ColorPickerDirective.prototype, "colorPickerClose", void 0);
tslib_1.__decorate([
    Output(),
    tslib_1.__metadata("design:type", EventEmitter)
], ColorPickerDirective.prototype, "colorChange", void 0);
tslib_1.__decorate([
    Input(),
    tslib_1.__metadata("design:type", Array)
], ColorPickerDirective.prototype, "colors", void 0);
tslib_1.__decorate([
    Input(),
    tslib_1.__metadata("design:type", Object)
], ColorPickerDirective.prototype, "position", void 0);
tslib_1.__decorate([
    HostListener('click', ['$event']),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object]),
    tslib_1.__metadata("design:returntype", Promise)
], ColorPickerDirective.prototype, "openColorPicker", null);
ColorPickerDirective = tslib_1.__decorate([
    Directive({
        selector: '[ionicColorPicker]'
    }),
    tslib_1.__metadata("design:paramtypes", [ElementRef,
        ModalController])
], ColorPickerDirective);
export { ColorPickerDirective };
//# sourceMappingURL=color-picker.directive.js.map